Skip to content
Navigation

Create organization

POST
https://api.sureshake.com/v2/organizations

Request body JSON required

  • name
    string
    required
    maxLength: 120 · minLength: 2
  • slug
    optional
    string
    maxLength: 120 · minLength: 2
  • description
    optional
    string
    maxLength: 500
  • organizationType
    optional
    string
    maxLength: 100

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
    • name
      string
      required
    • slug
      string
      required
    • status
      string
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • description
      optional
      string
      or null
    • organizationType
      optional
      string
      or null
    • myMembershipId
      optional
      string
      format: uuid
    • myRole
      optional
      owner
      or
      admin
      or
      member
      or
      viewer
    • activeMemberCount
      optional
      integer
      minimum: 0
    • pendingMemberCount
      optional
      integer
      minimum: 0
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close